unit Pstatus2;
  {-Printing Status form}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, PPreview;

type
  TReportStatusForm2 = class(TForm)
    Bevel1: TBevel;
    Label1: TLabel;
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    PrintNotes: TCheckBox;
    ReportFiler: TPreview;
    procedure OkbtnClick(Sender: TObject);
    procedure ReportFilerPrintFooter(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    ReportStream : TMemoryStream;
  { Private declarations }
  public
    CanAbort     : Boolean;
    LastPageNo : Integer;
    procedure getpageno(sender : tObject);

    { Public declarations }
  end;

var
  ReportStatusForm: TReportStatusForm2;

implementation

{$R *.DFM}

procedure TReportStatusForm2.GetPageNo(sender : tObject);
begin
{  LastPageNo := ReportFiler.totalpage;}
end;

procedure TReportStatusForm2.OkbtnClick(Sender: TObject);
begin
  With ReportFiler do
    begin
      OkBtn.Enabled := False;
      CancelBtn.Kind := bkAbort;
      try
        Execute;
      finally
        If Aborted then
          begin
            ModalResult := mrAbort;
          end
        else
          begin
            ModalResult := mrOk
          end; { else }
        CancelBtn.Enabled := False;
      end; { try }
end; { with }
end;

procedure TReportStatusForm2.ReportFilerPrintFooter(Sender: TObject);
begin
  With Sender as TPPreviewForm do begin
    SetFont('Times New Roman',8);
{    SectionBottom := PageHeight - 0.3;}
    PrintFooter('Date ' + DateToStr(Now),pjLeft);
    PrintFooter('Page ' + IntToStr(CurrentPage),pjRight);
{    SectionBottom := PageHeight - 1;}
  end; { with }
end;

procedure TReportStatusForm2.CancelBtnClick(Sender: TObject);
begin
  CanAbort := True;
  case CancelBtn.Kind of
    bkCancel : ModalResult := mrCancel;
    bkAbort  : ReportFiler.Aborted := true;
  end;
end;

procedure TReportStatusForm2.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin {tan 24/7/97}
  case key of
    vk_F10 :
      begin
        OkbtnClick(Sender);
        key := 0;
      end;
    Vk_ESCAPE :
      begin
        CancelBtnClick(Sender);
        key := 0;
      end;
  end;{case}
end;
begin
ReportStatusForm := nil;
end.
