unit Udemo;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Ppreview;

type
  TForm1 = class(TForm)
    Preview1: TPreview;
    Label1: TLabel;
    Button1: TButton;
    procedure Preview1PrintHeader(Sender: TObject);
    procedure Preview1Print(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Preview1PrintHeader(Sender: TObject);
begin
with Preview1 do
 begin
  setfont('Arial',14);
  println('<B>    HEADER LINE 1</B>');
  PRINTLN('');
  setfont('Arial',12);
  println('<B><I>    HEADER LINE 2</B></I>');
  setfont('Arial',10);
  println('<B>    HEADER LINE 3</B>');
  PRINTLN('');
 end;
end;

procedure TForm1.Preview1Print(Sender: TObject);
VAR I : BYTE;
begin
WITH PREVIEW1 DO BEGIN
FOR I := 1 TO 20 DO
  BEGIN
    SETFONT('COURIER NEW',I + 6);
    PRINTLN('TEST LINE ' + INTTOSTR(I));
    IF (LINESLEFT < 5) {SAVE ROOM FOR FOOTER}
     THEN NEWPAGE;
  END;
NEWPAGE;
PRINTLN('Show second page, demonstrate page navigator');
CRLF;
FOR I := 1 TO 20 DO
  BEGIN
    SETFONT('ARIAL',I + 6);
    PRINTLN('<B>TEST LINE ' + INTTOSTR(I) + '</B>');
    IF (LINESLEFT < 5) {SAVE ROOM FOR FOOTER}
     THEN NEWPAGE;
  END;
  NEWPAGE;
PRINTLN('Show third page, demonstrate tables, columns, shade printing');
CRLF;
CLEARTABS;
SetTab(0.5, pjLeft, 1.5, 0.1, BOXLINEALL, 10);
SetTab(0, pjLeft, 2, 0.1, BOXLINEALL,0);
PRINTLN(#9'<B>HEADER1'#9'HEADER2</B>');
CLEARTABS;
SetTab(0.5, pjLeft, 1.5, 0.1, 0, 10);
SetTab(0, pjLeft, 2, 0.1, 0,0);
PRINTLN('');
PRINTLN(#9'ROW1,COL1'#9'ROW1,COL2');
PRINTLN(#9'ROW2'#9'ROW2');
PRINTLN(#9'ROW3'#9'COL2');
END;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
PREVIEW1.EXECUTE;
end;

end.
